-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
deferred class BITMAP_FONT
	-- Abstract bitmapped font

inherit
	FONT
		redefine max_chars end

feature -- Access

	char_width (chr: CHARACTER): INTEGER is
			-- chr's width in pixels
		deferred
		end

	width_of (text: STRING): INTEGER is
		local
			i: ITERATOR[CHARACTER]
		do
			from
				i := text.get_new_iterator
			until i.is_off loop
				Result := Result + char_width(i.item)
				i.next
			end
		end

feature -- Redefined features

	max_chars (text: STRING; w: INTEGER): INTEGER is
		local
			currentw: INTEGER
			i: ITERATOR [CHARACTER]
		do
			i := text.get_new_iterator
			from i.start until
				i.is_off or else currentw + char_width (i.item) > w
			loop
				currentw := currentw+char_width (i.item)
				Result := Result + 1
				i.next
			end
		end

end -- deferred class BITMAP_FONT
