-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class EVENT_MOUSE_BUTTON

inherit
	EVENT_POSITIONAL

create
	make

feature {NONE} -- Creation

	make (new_x, new_y: INTEGER; new_button: INTEGER; new_state: BOOLEAN) is
		do
			x := new_x
			y := new_y
			button := new_button
			state := new_state
		end

feature -- Access

	button: INTEGER
		-- Button related to the event

	state: BOOLEAN
		-- True when down, False when up

end -- class EVENT_MOUSE_BUTTON