-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class EVENT_MOUSE_MOVE

inherit
	EVENT_POSITIONAL
		redefine propagate end

create
	make

feature {NONE} -- Creation

	make (new_x, new_y: INTEGER) is
		do
			x := new_x
			y := new_y
		end

feature -- Redefined features

	propagate (window: WINDOW) is
		local
			oldw, neww: WINDOW
		do
			oldw := window.mouse_focus
			window.set_mouse_focus (x, y)
			neww := window.mouse_focus
			if oldw /= neww then
				if oldw /= Void and then oldw.visible then
					oldw.handle_event (create {EVENT_MOUSE_NOTIFY}.make (false))
				end
				if neww /= Void and then neww.visible then
					neww.handle_event (create {EVENT_MOUSE_NOTIFY}.make (true))
				end
			end
			Precursor (window)
		end

end -- class EVENT_MOUSE_MOVE