-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class EVENT_MOUSE_NOTIFY
	-- Sent to windows when pointer enters or leaves them

inherit
	EVENT

create
	make

feature {NONE} -- Creation

	make (enter: BOOLEAN) is
		do
			is_enter := enter
		end

feature -- Operations

	propagate (window: WINDOW) is
		do
			if
				window.mouse_focus /= Void and then not is_enter and then
				window.mouse_focus.visible
			then
				window.mouse_focus.handle_event (Current)
			end
		end

feature -- Access

	is_enter: BOOLEAN
		-- is enter? (is leave if not)

end -- class EVENT_MOUSE_NOTIFY