-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
deferred class EVENT_POSITIONAL

inherit
	EVENT

feature -- Access

	x, y: INTEGER

feature -- Operations

	propagate (window: WINDOW) is
		local
			i: ITERATOR [WINDOW]
			savex, savey: INTEGER
			r: RECTANGLE
		do
			i := window.children.get_new_iterator
			from i.start until i.is_off or handled loop
-- SE bug workaround
				r := i.item.location
				if r.has (x, y) and i.item.visible then
					savex := x
					savey := y
					x := x - r.x
					y := y - r.y
					i.item.handle_event (Current)
					x := savex
					y := savey
				end
				i.next
			end
		end

end -- deferred class EVENT_POSITIONAL