-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
deferred class IMAGE

feature -- Access

	width, height: INTEGER is
			-- Image dimension
		deferred
		end

	is_compatible(img: IMAGE): BOOLEAN is
			-- can be blitted onto `img'?
		deferred
		end

feature -- Operations

	show (i: IMAGE; x, y: INTEGER) is
			-- Blit onto `i' at (`x',`y')
		require
			is_compatible (i)
		deferred
		end

	show_region (i: IMAGE; region: RECTANGLE; x, y: INTEGER) is
			-- Blit `region' (relative to Current) onto `i' at (`x',`y')
		require
			is_compatible (i)
		deferred
		end

end -- class IMAGE