-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class MOUSE_POINTER

create
	make

feature {NONE} -- Creation

	make (new_image: IMAGE; hx, hy: INTEGER) is
			-- New cursor with `image', hotspot at (`hx',`hy')
		require
			new_image /= Void
		do
			image := new_image
			hotspot_x := hx
			hotspot_y := hy
		ensure
			image = new_image
			hotspot_x = hx
			hotspot_y = hy
		end

feature -- Access

	image: IMAGE
		-- Cursor appearance

	hotspot_x, hotspot_y: INTEGER
		-- Coordinate relative to the image that follows the mouse.

invariant
	image /= Void

end -- class MOUSE_POINTER