-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class SDL_DISPLAY_TEST

create 
	make

feature {NONE} -- Creation

	w1, w2: WINDOW

	c: MOUSE_POINTER

	make is
		local
			d: SDL_DISPLAY
			a: ANIMATION
			b: BUTTON
			r: RECTANGLE
		do
			print ("EWS test%N")
			-- Init video
			create {SDL_DISPLAY}d.make (640, 480, 16, False)

			-- Background
			create {WINDOW_IMAGE}w1.make (d.root, 0, 0,
				create {SDL_IMAGE}.make_from_file ("bground.png"))

			-- Front animation
			create {ANIMATION_LOOPED}a.make (<<
				create {SDL_IMAGE}.make_from_file ("anim1.png"),
				create {SDL_IMAGE}.make_from_file ("anim2.png")>>)
			create{WINDOW_ANIMATED}w2.make (w1, 320, 240, a)

			-- Button
			r.set_with_size (508, 411, 41, 38)
			create b.make (w1, r)
			b.set_click_handler (agent on_click("click!%N") )

			-- Make pointer
			create c.make (create {SDL_IMAGE}.make_from_file ("cursor1.png"), 6, 4)

			-- Set pointer
			d.root.set_pointer (c)
			w2.set_pointer (Void)

			-- Main loop
			d.set_timer_interval (100)
			d.do_event_loop
			d.close
		rescue
			if d /= Void then d.close end
		end

	on_click (message: STRING) is
		do
			print (message)
		end

end -- class SDL_DISPLAY_TEST