-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class BUTTON_TEST

create 
	make

feature {NONE} -- Creation

	d: DISPLAY
	c: MOUSE_POINTER

	new_img (fn: STRING): IMAGE is
		do
			create {SDL_IMAGE}Result.make_from_file (fn)
		end

	make is
		local
			b: BUTTON_IMAGE
			w1: WINDOW
		do
			-- Init video
			create {SDL_DISPLAY}d.make (640,480, 16, True)

			-- Background
			create {WINDOW_IMAGE}w1.make (d.root, 100, 100, new_img ("logo.png"))

			-- Buttons
			create b.make (d.root, 200, 350, new_img("b1u.png"),
				new_img("b1p.png"),
				new_img("b1d.png"))
			b.set_click_handler (agent on_click("YES!%N") )

			create b.make (d.root, 350, 350, new_img("b2u.png"),
				new_img("b2p.png"),
				new_img("b2d.png"))
			b.set_click_handler (agent on_click("OK!%N") )

			-- Make pointer
			create c.make (new_img ("cursor1.png"), 6, 4)

			-- Set pointer
			d.root.set_pointer (c)
			w1.set_pointer (Void)

			-- Main loop
			d.do_event_loop
			d.close
		rescue
			if d /=Void then d.close end
		end

	on_click (message: STRING) is
		do
			print (message)
			d.add_event (create {EVENT_QUIT})
		end

end -- class BUTTON_TEST