-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class MOVE_TEST

create
	make

feature {NONE} -- Creation

	d: DISPLAY

	new_img (fn: STRING): IMAGE is
		do
			create {SDL_IMAGE}Result.make_from_file (fn)
		end

	make is
		local
			r: RECTANGLE
			w: BOX_CONTAINER
			sdl: SDL
		do
			-- Init video
			create {SDL_DISPLAY}d.make (640,480, 16, False)

			-- Set Pointer
			d.root.set_pointer (create {MOUSE_POINTER}.make (new_img ("cursor1.png"), 6, 4))

			-- Set Font
			d.set_default_font (create {SDL_BITMAP_FONT}.make ("default_font.png"))
			sdl.enable_keyboard_repeat (250, 50)

			create w.make (d.root, d.dimensions)
			make_legend
			w.grab

			d.do_event_loop
			d.close
		end

	make_legend is
		local
			w: WINDOW
			l: MULTILINE_LABEL
			r: RECTANGLE
		do
			create {WINDOW_IMAGE}w.make (d.root, 450, 20,
				create {SDL_SOLID_IMAGE}.make (150, 100, 0, 150, 180))
			r.set_with_size (5, 2, 140, 100)
			create l.make (w, r, "Ins: new window%N%
							%Del: remove window%N%
							%Tab/click: switch window%N%
							%Arrows: move%N%
							%Shift+Arrows: resize"
							)
		end

end -- class MOVE_TEST
