-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class RADIO_TEST

create 
	make

feature {NONE} -- Creation

	d: DISPLAY
	c: MOUSE_POINTER
	rgroup: RADIO_GROUP

	new_img (fn: STRING): IMAGE is
		do
			create {SDL_IMAGE}Result.make_from_file (fn)
		end

	make is
		local
			r: RECTANGLE
			b: BUTTON_IMAGE
			w1: WINDOW
			rb: RADIO_BUTTON_IMAGE
			image_up, image_down: IMAGE
		do
			-- Init video
			create {SDL_DISPLAY}d.make (640,480, 16, False)
			d.set_default_font (create {SDL_BITMAP_FONT}.make ("../example2/default_font.png"))

			-- Background
			create {WINDOW_IMAGE}w1.make (d.root, 100, 100, new_img ("../example1/logo.png"))

			-- Radio Group
			create rgroup.make
			create {SDL_IMAGE}image_up.make_from_file ("b1u.png")
			create {SDL_IMAGE}image_down.make_from_file ("b1d.png")
			r.set_with_size(300, 250, 100, image_up.height)
			create rb.make_with_label (d.root, r, new_img("b1u.png"), new_img("b1d.png"), "Yes", rgroup)
			r.translate (0, r.height)
			create rb.make_with_label (d.root, r, new_img("b1u.png"), new_img("b1d.png"), "OK", rgroup)
			r.translate (0, r.height)
			create rb.make_with_label (d.root, r, new_img("b1u.png"), new_img("b1d.png"), "Really", rgroup)
			r.translate (0, r.height)
			create rb.make_with_label (d.root, r, new_img("b1u.png"), new_img("b1d.png"), "Of course", rgroup)

			-- Buttons
			create b.make(d.root, 100, 250, new_img("../example1/b2u.png"), new_img("../example1/b2p.png"), new_img("../example1/b2d.png"))
			b.set_click_handler(agent on_click)

			-- Make pointer
			create c.make (new_img ("../example1/cursor1.png"), 6, 4)

			-- Set pointer
			d.root.set_pointer (c)
			w1.set_pointer (Void)

			-- Main loop
			d.do_event_loop
			d.close
		end

	on_click is
		do
			print (rgroup.index.to_string + "%N")
			d.add_event (create {EVENT_QUIT})
		end

end -- class RADIO_TEST
