-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class BUTTON_TOGGLE

inherit
	BUTTON
		redefine set_state end

create
	make

feature

	is_active: BOOLEAN
		-- True if button is pressed, false otherwise.

	set_active(b: BOOLEAN) is
		do
			if is_active /= b then
				request_redraw_all
			end
			is_active := b
		ensure
			is_active = b
		end

feature {NONE} -- Internal

	set_state (new_state: INTEGER) is
			-- Change state to `new_state'
		do
			if state = st_pressed and new_state = st_prelight then
				is_active := not is_active
				if click_handler /= Void then
					click_handler.call ([])
				end
			elseif
				state = st_normal and new_state = st_prelight
				and on_enter_handler /= Void
			then
				on_enter_handler.call([])
			elseif
				state = st_prelight and new_state = st_normal
				and on_exit_handler /= Void
			then
				on_exit_handler.call([])
			end        
			state := new_state
		end

end -- class BUTTON_TOGGLE


