-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class HORZ_MARQUEE
	-- Horizontal Marquee.

inherit
	LABEL
		redefine
			handle_event, redraw
		end

create
	make

feature -- Redefined features

	redraw (area: RECTANGLE) is
		do
			if bg /= Void then show_image (bg, 0, 0, area) end
			if actual_font /= Void then
				if dirty then
					pic := actual_font.show (text)
					dirty := False
				end
				show_image (pic, width - scroll, top_margin, area)
			end
		end

	handle_event (event: EVENT) is
			-- Process given event
		local
			tick: EVENT_TIMER
		do
			if not event.handled then
				tick ?= event
				if tick /= Void and actual_font /= Void then
					scroll := scroll + 3
					if scroll > actual_font.width_of (text) + 2 * width then
						scroll := 0
					end
					request_redraw_all
				end
			end
		end

feature {NONE} -- Internal

	scroll: INTEGER

end -- class HORZ_MARQUEE