-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class LABEL_COLORBG
	-- Labels with a solid color background.  Less hacked than before,
	-- But we still don't have an abstract color class.

obsolete "Deprecated. Use a standard label with a background."

inherit
	LABEL
		rename make as label_make end

create
	make

feature {NONE} -- Creation

	make (w: WINDOW; where: RECTANGLE; t: STRING; r, g, b: INTEGER) is
		require
			valid_color: r.in_range(0, 255) and g.in_range(0, 255) and b.in_range(0, 255)
		do
			label_make(w, where, t)
			create {SDL_SOLID_IMAGE}bg.make(width, height, r, g, b)
		end

end -- class LABEL_COLORBG
