-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class RADIO_BUTTON_IMAGE
	-- Radio button with an image and a descriptive widget

inherit
	RADIO_BUTTON
		redefine group_set_active end

create
	make_with_label

feature {NONE} -- Creation

	make_with_label (w: WINDOW; r: RECTANGLE;
		normal, checked: IMAGE; s: STRING;
		g: RADIO_GROUP) is
			-- New checkbutton on parent `w', at position `r'.
			-- `normal' and `checked' are the images for the two states
			-- Descriptive widget is a label with text `s'
		local
			lr: RECTANGLE
			l: LABEL
		do
			make_with_group (w, r, g)
			create toggle.make (Current, 0, 0, normal, normal, normal, checked, checked, checked)
			toggle.set_click_handler (agent click_handler)
			lr.set_with_size(toggle.width, 0, r.width-toggle.width, r.height)
			create l.make(Current, lr, s)
			l.set_h_alignment (0)
			label := l
		end

feature -- Access

	toggle: BUTTON_TOGGLE_IMAGE

	label: WINDOW
		-- Descriptive_widget

feature {RADIO_GROUP} -- Operations

	group_set_active (b: BOOLEAN) is
		do
			Precursor (b)
			toggle.set_active (b)
		end

feature {NONE} -- Internal

	click_handler is
		do
			if toggle.is_active then
				group.set_index (index)
			else
				toggle.set_active (True)
			end
		end

end -- class RADIO_BUTTON_IMAGE
