-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class RADIO_GROUP
	-- Grouping of radio buttons
	-- This is not a widget, just a coordinator between the radiobutons

create
	make

feature {NONE} -- Creation

	make is
		do
			create buttons.make (1, 0)
		end

feature -- Access

	count: INTEGER is
		do
			Result := buttons.count
		end

	index: INTEGER

	has_selection: BOOLEAN is
			-- Is any button selected?
		do
			Result := index /= 0
		end

feature -- Operations

	set_index (selection: INTEGER) is
		do
			if has_selection then
				buttons.item (index).group_set_active (False)
			end
			index := selection
			if has_selection then
				buttons.item (index).group_set_active (True)
			end
		end

feature {RADIO_BUTTON} -- Operations

	add (b: RADIO_BUTTON) is
		require
			b /= Void
		do
			buttons.add_last (b)
		end

feature {NONE} -- Representation

	buttons: ARRAY [RADIO_BUTTON]
		-- Radio buttons

invariant
	buttons /= Void

end -- class RADIO_GROUP