-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
deferred class TAB_CYCLABLE
	-- Common ancestor for widgets allowing TAB-cycling

inherit
	WINDOW
		redefine handle_event end
	KEYBOARD_CONSTANTS

feature -- Access

	next_in_tab_order: WINDOW
		-- Widget that will get focus when pressing TAB

feature -- Operations

	set_next_in_tab_order (w: WINDOW) is
		do
			next_in_tab_order := w
		end

	handle_event (event: EVENT) is
		local
			k: EVENT_KEY
		do
			Precursor (event)
			k ?= event
			if
				not event.handled and then
				k /= Void and then 
				(k.state and k.symbol = key_tab and next_in_tab_order /= Void)
			then
				next_in_tab_order.grab
			end
		end

end