-- EWS (Eiffel Windowing System) - A small OO windowing system
-- Copyright (C) 2004  Daniel F. Moisset, Anthony Lenton
--
--    This library is free software; you can redistribute it and/or
--    modify it under the terms of the GNU Library General Public
--    License as published by the Free Software Foundation; either
--    version 2 of the License, or (at your option) any later version.
--
--    This library is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--    Library General Public License for more details.
--
--    You should have received a copy of the GNU Library General Public
--    License along with this library; if not, write to the 
--    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
--    Boston, MA  02111-1307  USA.
--
--  Author's email: dmoisset@grulic.org.ar
--  Snail mail address: Pirovano 196, 5000 Cordoba, Argentina
--
class WINDOW_IMAGE

inherit
	WINDOW
		rename
			make as make_window
		redefine
			redraw
		end

create
	make

feature {NONE} -- Creation

	make (w: WINDOW; x,y: INTEGER; i: IMAGE) is
			-- Make child for `w', placed at (`x',`y') showing `i'
		local
			pos: RECTANGLE
		do
			pos.set_with_size (x, y, i.width, i.height)
			make_window (w, pos)
			image := i
			request_redraw_all
		end

feature -- Redefined features

	redraw (area: RECTANGLE) is
		do
			show_image (image, 0, 0, area)
			Precursor (area)
		end

feature {NONE} -- Representation

	image: IMAGE

end -- class WINDOW_IMAGE